unit uViewFiltroClientes_anterior;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, PngImageList, ActnList, DB,
  uDAInterfaces, uDADataTable, StdCtrls, Buttons, ExtCtrls, dxLayoutControl,
  cxControls, cxContainer, cxEdit, cxTextEdit, cxDBEdit, SpTBXDkPanels,
  uViewDatosYSeleccionClienteBase, SpTBXControls;


type
  TfrViewFiltroClientes_anterior = class(TfrViewDatosYSeleccionClienteBase)
    dxLayoutControl1Item1: TdxLayoutItem;
    edtlNombre: TcxDBTextEdit;
    dxLayoutControl1Item2: TdxLayoutItem;
    edtNIFCIF: TcxDBTextEdit;
    GroupBox1: TGroupBox;
    rd1: TRadioButton;
    rd2: TRadioButton;
    cbxDesglosado: TCheckBox;
    TBXLabel2: TSpTBXLabel;
    BitBtn1: TBitBtn;
    cxDBTextEdit1: TcxDBTextEdit;
    procedure rd1Click(Sender: TObject);
    procedure rd2Click(Sender: TObject);
  end;

implementation
{$R *.dfm}

procedure TfrViewFiltroClientes_anterior.rd1Click(Sender: TObject);
begin
  inherited;
  if rd1.Checked then
  begin
    cbxDesglosado.Enabled := True;
    actElegirContacto.Enabled := False;
    actVerContacto.Enabled := False;
    Cliente := Nil;
  end;
end;

procedure TfrViewFiltroClientes_anterior.rd2Click(Sender: TObject);
begin
  inherited;
  if rd2.Checked then
  begin
    cbxDesglosado.Enabled := False;
    actElegirContacto.Enabled := True;
    actVerContacto.Enabled := True;
  end;
end;

end.
